Models
List available models
List models this organization can use.
GET
/
v1
/
model-catalog
List available models
curl --request GET \
--url https://api.getmillwork.dev/v1/model-catalog \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/model-catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"catalog_policy": "curated_tested_connection_filtered",
"models": [
{
"arm_registration_template": {
"capability_tags": [
"<string>"
],
"cost_class": "economy",
"data_class_grants": [
"public"
],
"display_name": "<string>",
"kind": "model",
"model_deployment_id": "<string>"
},
"connection": {
"access_lane": "byok",
"commercial_owner": "customer",
"connection_id": "<string>"
},
"deployment": {
"assurance_evidence_ref": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"fallback_policy": "none",
"last_tested_at": "2023-11-07T05:31:56Z",
"location": "<string>",
"model_deployment_id": "<string>",
"model_key": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"release_assurance": "unknown",
"resolution_evidence_ref": "<string>",
"resolved_upstream_ref": "<string>",
"route": "<string>",
"served_variant_id": "<string>",
"source_id": "<string>",
"status": "listed",
"updated_at": "2023-11-07T05:31:56Z",
"upstream_ref": "<string>"
},
"model": {
"capabilities": [
"<string>"
],
"family": "<string>",
"lifecycle": "preview",
"model_key": "<string>",
"publisher_id": "<string>",
"release": "<string>",
"release_license": {
"commercial_use": "allowed",
"evidence_ref": "<string>",
"identifier": "<string>"
}
},
"offering": {
"auth_scheme": "api_key",
"certification": {
"certification_id": "<string>",
"evidence_schema_version": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"standing": "conformant",
"subject": {
"auth_scheme": "api_key",
"location": "<string>",
"model_key": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"route": "<string>",
"served_variant_id": "<string>",
"source_id": "<string>"
}
},
"data_classes": [
"public"
],
"fallback_policy": "none",
"location": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"resolution_evidence_ref": "<string>",
"resolved_upstream_ref": "<string>",
"route": "<string>",
"served_variant": {
"assurance_evidence_ref": "<string>",
"model_key": "<string>",
"release_assurance": "unknown",
"served_variant_id": "<string>",
"source_id": "<string>",
"upstream_ref": "<string>"
},
"tested_at": "2023-11-07T05:31:56Z"
},
"provenance": {
"deployment": {
"fallback_policy": "none",
"location": "<string>",
"model_deployment_id": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"route": "<string>"
},
"requested": {
"family": "<string>",
"model_key": "<string>",
"publisher_id": "<string>",
"release": "<string>",
"served_variant_id": "<string>",
"upstream_ref": "<string>"
},
"resolved": {
"attestation": "source_response",
"source_request_id": "<string>",
"upstream_ref": "<string>"
},
"schema_version": "<string>",
"source": {
"access_lane": "byok",
"auth_scheme": "api_key",
"commercial_owner": "customer",
"connection_id": "<string>",
"source_id": "<string>",
"source_kind": "publisher_direct"
}
},
"source": {
"source_id": "<string>",
"source_kind": "publisher_direct"
}
}
]
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}Authorizations
bearerAuthsessionCookie
Organization API key for application requests.
Response
Default Response
⌘I
List available models
curl --request GET \
--url https://api.getmillwork.dev/v1/model-catalog \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/model-catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"catalog_policy": "curated_tested_connection_filtered",
"models": [
{
"arm_registration_template": {
"capability_tags": [
"<string>"
],
"cost_class": "economy",
"data_class_grants": [
"public"
],
"display_name": "<string>",
"kind": "model",
"model_deployment_id": "<string>"
},
"connection": {
"access_lane": "byok",
"commercial_owner": "customer",
"connection_id": "<string>"
},
"deployment": {
"assurance_evidence_ref": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"fallback_policy": "none",
"last_tested_at": "2023-11-07T05:31:56Z",
"location": "<string>",
"model_deployment_id": "<string>",
"model_key": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"release_assurance": "unknown",
"resolution_evidence_ref": "<string>",
"resolved_upstream_ref": "<string>",
"route": "<string>",
"served_variant_id": "<string>",
"source_id": "<string>",
"status": "listed",
"updated_at": "2023-11-07T05:31:56Z",
"upstream_ref": "<string>"
},
"model": {
"capabilities": [
"<string>"
],
"family": "<string>",
"lifecycle": "preview",
"model_key": "<string>",
"publisher_id": "<string>",
"release": "<string>",
"release_license": {
"commercial_use": "allowed",
"evidence_ref": "<string>",
"identifier": "<string>"
}
},
"offering": {
"auth_scheme": "api_key",
"certification": {
"certification_id": "<string>",
"evidence_schema_version": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"standing": "conformant",
"subject": {
"auth_scheme": "api_key",
"location": "<string>",
"model_key": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"route": "<string>",
"served_variant_id": "<string>",
"source_id": "<string>"
}
},
"data_classes": [
"public"
],
"fallback_policy": "none",
"location": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"resolution_evidence_ref": "<string>",
"resolved_upstream_ref": "<string>",
"route": "<string>",
"served_variant": {
"assurance_evidence_ref": "<string>",
"model_key": "<string>",
"release_assurance": "unknown",
"served_variant_id": "<string>",
"source_id": "<string>",
"upstream_ref": "<string>"
},
"tested_at": "2023-11-07T05:31:56Z"
},
"provenance": {
"deployment": {
"fallback_policy": "none",
"location": "<string>",
"model_deployment_id": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"route": "<string>"
},
"requested": {
"family": "<string>",
"model_key": "<string>",
"publisher_id": "<string>",
"release": "<string>",
"served_variant_id": "<string>",
"upstream_ref": "<string>"
},
"resolved": {
"attestation": "source_response",
"source_request_id": "<string>",
"upstream_ref": "<string>"
},
"schema_version": "<string>",
"source": {
"access_lane": "byok",
"auth_scheme": "api_key",
"commercial_owner": "customer",
"connection_id": "<string>",
"source_id": "<string>",
"source_kind": "publisher_direct"
}
},
"source": {
"source_id": "<string>",
"source_kind": "publisher_direct"
}
}
]
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}